OpenNMS API 1.2.9

## org.opennms.netmgt.config.viewsdisplay
Class View

    java.lang.Object
      org.opennms.netmgt.config.viewsdisplay.View

All Implemented Interfaces:
  java.io.Serializable

public class View
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.util.ArrayList` `_sectionList`
`private java.lang.String` `_viewName`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`View()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `addSection(int index, Section vSection)`
`void` `addSection(Section vSection)`
`void` `clearSection()`
`java.util.Enumeration` `enumerateSection()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`Section[]` `getSection()`
`Section` `getSection(int index)`
`java.util.Collection` `getSectionCollection()`
`int` `getSectionCount()`
`java.lang.String` `getViewName()` Returns the value of field 'viewName'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`boolean` `removeSection(Section vSection)`
`void` `setSection(int index, Section vSection)`
`void` `setSection(Section[] sectionArray)`
`void` `setSectionCollection(java.util.Collection vSection)`
`void` `setViewName(java.lang.String viewName)` Sets the value of field 'viewName'.
`static View` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _viewName

    private java.lang.String _viewName

### _sectionList

    private java.util.ArrayList _sectionList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### View

    public View()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### addSection

    public void addSection(Section vSection)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vSection` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addSection

    public void addSection(int index,
                           Section vSection)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSection` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### clearSection

    public void clearSection()

### enumerateSection

    public java.util.Enumeration enumerateSection()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getSection

    public Section getSection(int index)
                       throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getSection

    public Section[] getSection()

### getSectionCollection

    public java.util.Collection getSectionCollection()

### getSectionCount

    public int getSectionCount()

### getViewName

    public java.lang.String getViewName()

  Returns the value of field 'viewName'.

  Returns:
    the value of field 'viewName'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### removeSection

    public boolean removeSection(Section vSection)

  Parameters:
    `vSection` -

### setSection

    public void setSection(int index,
                           Section vSection)
                    throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSection` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setSection

    public void setSection(Section[] sectionArray)

  Parameters:
    `sectionArray` -

### setSectionCollection

    public void setSectionCollection(java.util.Collection vSection)

  Parameters:
    `vSection` -

### setViewName

    public void setViewName(java.lang.String viewName)

  Sets the value of field 'viewName'.

  Parameters:
    `viewName` - the value of field 'viewName'.

### unmarshal

    public static View unmarshal(java.io.Reader reader)
                          throws org.exolab.castor.xml.MarshalException,
                                 org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.